<template>
  <div>
    <el-table :data="state.tableData" style="width: 110%">
      <el-table-column prop="content" label="活动名称" width="100" />
      <el-table-column prop="notice_time" label="通知时间" width="100" />
      <el-table-column prop="id" label="活动编号" width="150" />
      <el-table-column prop="checked" label="活动情况" width="150" />
      <el-table-column prop="user_id" label="用户编号" />
    </el-table>
  
  </div>
</template>

<script lang="ts" setup>
import axios from "axios"
import global from "./Common.vue";
import type { FormInstance, FormRules } from 'element-plus'
import { reactive, ref, onMounted } from 'vue'
const ruleFormRef = ref<FormInstance>()
const ruleForm = reactive({
  num: "",
  code: "",
  msg: "",
  notices: [],
});


const getNotificationNumber = async(formEl: FormInstance | undefined) => {
  let token = localStorage.getItem("token");
axios({
    method: "POST",
    url: "http://" + global.ip + "/api/notice/newnum",
    data: {
      num: ruleForm.num,
      msg: ruleForm.msg,
      code: ruleForm.code,
      tableData: ruleForm.notices
    },
    headers: { Authorization: `Bearer: ${token}` },
  }).then((res) => {
    console.log(res);
  });
}


const getActivityTable = async (formEl: FormInstance | undefined) => {
  let token = localStorage.getItem("token");
  
  axios({
    method: "POST",
    url: "http://" + global.ip + "/api/notice/newall",
    data: {
      tableData: ruleForm.notices,
    },
    headers: { Authorization: `Bearer: ${token}` },
  }).then((res) => {
    // console.log(res);
    state.tableData = res.data.notices;
    console.log(tableData);
  });
}


const state = reactive({
  tableData: []
})


let tableData = [
  {
    "checked": false,
    "content": "哎",
    "id": 3,
    "notice_time": "Sun, 01 May 2022 18:00:00 GMT",
    "notice_type": 3,
    "user_id": 2
  }
]

onMounted( () => {
  console.log(123)
  getActivityTable()
})

</script>
